[Standards] XMPP 1.1?

Boyd Fletcher boyd.fletcher at je.jfcom.mil
Thu Aug 2 23:01:08 UTC 2007


the idea of a clean and mandatory way to get the  version of the extensions
and the xmpp core at the protocol level would be a good idea. versioning
should make interoperability testing much easier.

boyd

On 8/2/07 3:53 PM, "Peter Saint-Andre" <stpeter at jabber.org> wrote:

> Tomasz Sterna wrote:
>> Dnia 02-08-2007, czw o godzinie 13:22 -0600, Peter Saint-Andre
>> napisał(a):
>>>> The sooner we implement XMPP version dependant features mechanics in
>>> our
>>>> software, the faster we're be able to move forward. :-)
>>> Did you forget the <sarcasm></sarcasm> wrapper?
>> 
>> No I did not.
> 
> OK, sometimes it's hard to know on this list. ;-)
> 
>> One of the things that we're holding the version 1.1 is that we do not
>> support version dependant features in software.
>> Once we will have that mechanics, we will not be so much against 1.2,
>> 1.3 etc.
> 
> Naturally that opens up the question of versioning for XMPP extensions,
> too. But I think versioning at the core XMPP layer might be a good first
> step.
> 
> Peter



More information about the Standards mailing list